#include <iostream>
#include <math.h>

using namespace std;

int main() 
{
    unsigned long long int V;
    int k=-1;
    cin >> V;
    unsigned long long int pom = V;

    while(pom>0) {
        pom=pom/10;
        k++;
    }
    int br=0;

    while(V>0) {
        if (V-5*pow(10,k)>=0) {
            V-=5*pow(10,k);
            br++;
        }
        while(true) {
            if(V-2*pow(10,k)>=0) {
                V-=2*pow(10,k);
                br++;
            }
            else {
                break;
            }
        }
        if(V-pow(10,k)>=0) {
            V-=pow(10,k);
            br++;
        }
        k--;
    }
    cout << br << endl;
}